{ config, pkgs, ... }:

{
  users.users.yoda = {
    packages = with pkgs; [
      gnomeExtensions.caffeine
    ];
  };

  programs.dconf.enable = true;

  home-manager.users.yoda = { osConfig, config, pkgs, ... }: {
    dconf.settings = {
      # Enable GNOME extensions.
      "org/gnome/shell".enabled-extensions = [ pkgs.gnomeExtensions.caffeine.extensionUuid ];
    };
  };
}
